<?php
/**
 * @file
 * cle_assignment_advanced.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function cle_assignment_advanced_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'cle_assignment_reference';
  $view->description = 'Entity references for assignment fields to ensure that only the ones for the current group show up.';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'CLE Assignment reference';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Content: Number */
  $handler->display->display_options['fields']['field_number']['id'] = 'field_number';
  $handler->display->display_options['fields']['field_number']['table'] = 'field_data_field_number';
  $handler->display->display_options['fields']['field_number']['field'] = 'field_number';
  $handler->display->display_options['fields']['field_number']['label'] = '';
  $handler->display->display_options['fields']['field_number']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_number']['element_label_colon'] = FALSE;
  /* Field: Content: Sub-number */
  $handler->display->display_options['fields']['field_sub_number']['id'] = 'field_sub_number';
  $handler->display->display_options['fields']['field_sub_number']['table'] = 'field_data_field_sub_number';
  $handler->display->display_options['fields']['field_sub_number']['field'] = 'field_sub_number';
  $handler->display->display_options['fields']['field_sub_number']['label'] = '';
  $handler->display->display_options['fields']['field_sub_number']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_sub_number']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_sub_number']['alter']['text'] = ' [field_sub_number]';
  $handler->display->display_options['fields']['field_sub_number']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_sub_number']['hide_empty'] = TRUE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '[field_number][field_sub_number] - [title]';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Sort criterion: Content: Number (field_number) */
  $handler->display->display_options['sorts']['field_number_value']['id'] = 'field_number_value';
  $handler->display->display_options['sorts']['field_number_value']['table'] = 'field_data_field_number';
  $handler->display->display_options['sorts']['field_number_value']['field'] = 'field_number_value';
  /* Sort criterion: Content: Sub-number (field_sub_number) */
  $handler->display->display_options['sorts']['field_sub_number_value']['id'] = 'field_sub_number_value';
  $handler->display->display_options['sorts']['field_sub_number_value']['table'] = 'field_data_field_sub_number';
  $handler->display->display_options['sorts']['field_sub_number_value']['field'] = 'field_sub_number_value';
  /* Contextual filter: Content: Section (og_group_ref) */
  $handler->display->display_options['arguments']['og_group_ref_target_id']['id'] = 'og_group_ref_target_id';
  $handler->display->display_options['arguments']['og_group_ref_target_id']['table'] = 'og_membership';
  $handler->display->display_options['arguments']['og_group_ref_target_id']['field'] = 'og_group_ref_target_id';
  $handler->display->display_options['arguments']['og_group_ref_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['og_group_ref_target_id']['default_argument_type'] = 'og_context';
  $handler->display->display_options['arguments']['og_group_ref_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['og_group_ref_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['og_group_ref_target_id']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cle_assignment' => 'cle_assignment',
  );

  /* Display: Entity Reference */
  $handler = $view->new_display('entityreference', 'Entity Reference', 'entityreference_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'entityreference_style';
  $handler->display->display_options['style_options']['search_fields'] = array(
    'title' => 'title',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'entityreference_fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $export['cle_assignment_reference'] = $view;

  return $export;
}
